makedist-openmamba/platforms/diskimg/post.inc.sh

24 lines
977 B
Bash

if [ "$MODE" = "rootfsinstall" ]; then
/usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV \
$LOCALSTATEDIR/openmamba-rootfs-light-$LANGUAGE.$DEVICEARCH.tar.xz || \
{ retcode=$?
echo "$makedist_me: fatal error, aborting installation" >&2
echo "$makedist_me: exit code was: $retcode" >&2
echo "$makedist_me: sleeping 600 seconds"
sleep 600
{ (exit 1); exit 1; }; }
elif [ "$MODE" = "usbinstall" ]; then
# FIXME: current hosting system requirements:
# grub-efi.i586 mactel-boot
/usr/sbin/usbinstall $LOOPDEV $LOCALSTATEDIR/openmamba-livecd-$LANGUAGE.$ARCH.iso -y || \
{ retcode=$?
echo "$makedist_me: fatal error, aborting installation" >&2
echo "$makedist_me: exit code was: $retcode" >&2
echo "$makedist_me: sleeping 600 seconds"
sleep 600
{ (exit 1); exit 1; }; }
else
echo "$makedist_me: MODE is undefined; aborting."
{ (exit 1); exit 1; };
fi